package kernel.peripherals;

enum abstract Side(String) to String {
	var Top = "top";
	var Bottom = "bottom";
	var Left = "left";
	var Right = "right";
	var Front = "front";
	var Back = "back";

	@:from
	static public function fromString(s: String) {
		switch (s) {
			case "top":
				return Top;
			case "bottom":
				return Bottom;
			case "left":
				return Left;
			case "right":
				return Right;
			case "front":
				return Front;
			case "back":
				return Back;
			default:
				return null;
		}
	}
}
