package kernel;

@:keep
class DCEHack {
    // Dont actually call this
    public static function load() { 
        return [
            new bin.Disk(),
            new bin.GPS(),
            new bin.HelloWorld(),
            new bin.KernelLog(),
            new bin.LSPS(),
            new bin.Net(),
            new bin.Redstone(),
            new bin.Service(),
            new bin.Terminal(),
            new bin.Turtle(),
            new bin.HelloWorldService(),
            new bin.srsc.SiteRessourceController(),
            new bin.srsc.CLI(),
            new bin.Perf(),
            new bin.KSettings(),
            new bin.exporter.ResManager(),
            new bin.exporter.Res(),
            new bin.ID(),
        ];
    }
}
